org.apache.ignite.internal.processors.cache.distributed.near

## Class GridNearTxQueryResultsEnlistResponse

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheMessage
  - - org.apache.ignite.internal.processors.cache.GridCacheIdMessage
    - - org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxQueryEnlistResponse
      - - org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxQueryResultsEnlistResponse

All Implemented Interfaces:
  Serializable, ExceptionAware, Message

    public class GridNearTxQueryResultsEnlistResponse
    extends GridNearTxQueryEnlistResponse

A response to `GridNearTxQueryResultsEnlistRequest`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheIdMessage

`cacheId`

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`addDepInfo, CACHE_MSG_INDEX_FIELD_NAME, forceAddDepInfo, MAX_CACHE_MSG_LOOKUP_INDEX`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`GridNearTxQueryResultsEnlistResponse()` Default-constructor.
`GridNearTxQueryResultsEnlistResponse(int cacheId, IgniteUuid futId, int miniId, GridCacheVersion lockVer, long res, GridCacheVersion dhtVer, IgniteUuid dhtFutId, Set<UUID> newDhtNodes)`
`GridNearTxQueryResultsEnlistResponse(int cacheId, IgniteUuid futId, int miniId, GridCacheVersion lockVer, Throwable err)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IgniteUuid` `dhtFutureId()`
`GridCacheVersion` `dhtVersion()`
`short` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxQueryEnlistResponse

`addDeploymentInfo, error, finishUnmarshal, futureId, miniId, newDhtNodes, prepareMarshal, removeMapping, result, version`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheIdMessage

`cacheGroupMessage, cacheId, cacheId, handlerId`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`appendFlag, classError, deployInfo, finishUnmarshalCacheObjects, finishUnmarshalCacheObjects, ignoreClassErrors, lastAffinityChangedTopologyVersion, lastAffinityChangedTopologyVersion, lookupIndex, marshalCollection, marshalInfo, marshalInfos, marshalInvokeArguments, marshalTx, messageId, messageLogger, nextIndexId, onAckReceived, onClassError, partition, partitionExchangeMessage, prepare, prepareMarshalCacheObject, prepareMarshalCacheObjects, prepareMarshalCacheObjects, prepareObject, prepareObject, topologyVersion, transferExpiryPolicy, unmarshalCollection, unmarshalInfo, unmarshalInfos, unmarshalInvokeArguments, unmarshalTx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridNearTxQueryResultsEnlistResponse

    public GridNearTxQueryResultsEnlistResponse()

Default-constructor.

#### GridNearTxQueryResultsEnlistResponse

    public GridNearTxQueryResultsEnlistResponse(int cacheId,
                                                IgniteUuid futId,
                                                int miniId,
                                                GridCacheVersion lockVer,
                                                long res,
                                                GridCacheVersion dhtVer,
                                                IgniteUuid dhtFutId,
                                                Set<UUID> newDhtNodes)

Parameters:
  `cacheId` - Cache id.
  `futId` - Future id.
  `miniId` - Mini future id.
  `lockVer` - Lock version.
  `res` - Result.
  `dhtFutId` - Dht future id.
  `dhtVer` - Dht version.
  `newDhtNodes` - New DHT nodes involved into transaction.

#### GridNearTxQueryResultsEnlistResponse

    public GridNearTxQueryResultsEnlistResponse(int cacheId,
                                                IgniteUuid futId,
                                                int miniId,
                                                GridCacheVersion lockVer,
                                                Throwable err)

Parameters:
  `cacheId` - Cache id.
  `futId` - Future id.
  `miniId` - Mini future id.
  `lockVer` - Lock version.
  `err` - Error.

### Method Detail

#### dhtVersion

    public GridCacheVersion dhtVersion()

Returns:
  Dht version.

#### dhtFutureId

    public IgniteUuid dhtFutureId()

Returns:
  Dht future id.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Overrides:
  `fieldsCount` in class `GridNearTxQueryEnlistResponse`
Returns:
  Fields count.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Overrides:
  `writeTo` in class `GridNearTxQueryEnlistResponse`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Overrides:
  `readFrom` in class `GridNearTxQueryEnlistResponse`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Overrides:
  `directType` in class `GridNearTxQueryEnlistResponse`
Returns:
  Message type.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridNearTxQueryEnlistResponse`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020